Skip to navigation
SimRegister a given batch by BIC

Register a given batch by BIC

Registers the given SIM batch, assigns all SIMs to the organisation, and sets the status of all contained SIMs to the given value.

If the factory_test_mode_allowed flag is set to true on the tariff plan assignment or it is enabled in the tariff plan, the SIM batch can be also registered with an initial status of 4 = Factory Test, thus setting all of the contained SIMs to factory test status. In turn, the activation_date of these SIMs will not be set yet, but when the factory test volume is consumed, the auto activation date is reached or they are patched to Activated state afterwards.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

bicstringRequiredformat: "%23[0-9A-Z]{15}|[0-9A-Z]{16}"

The BIC of the SIM batch. Leading hash symbols must be URL encoded (%23).

Request

This endpoint expects an object.
sim_statusobjectOptional

Response

Batch successfully registered and assigned all SIMS
simlist of objectsOptional

Errors

403
Forbidden Error
422
Unprocessable Entity Error